package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.assetClaim.BpmOAAssetClaimItemSaveVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAAssetClaimItemDO;

import java.util.List;

public interface BpmOAAssetClaimItemService {

    /**
     * 创建资产申领明细
     * @param createReqVO 创建信息
     */
    void createAssetClaimItem(List<BpmOAAssetClaimItemSaveVO> createReqVO);

    /**
     * 根据资产申领编号，获得资产申领明细
     * @param assetClaimId 资产申领编号
     * @return 明细数据
     */
    List<BpmOAAssetClaimItemDO> getAssetClaimItem(Long assetClaimId);
}
