package cn.iocoder.yudao.module.system.api.assets.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "RPC 服务 - 资产类型 Response DTO")
@Data
public class AssetsTypeDTO {

    @Schema(description = "资产类型编号", example = "1024")
    private Long id;

    @Schema(description = "资产类型名称", example = "办公用品")
    private String name;
}
