package cn.iocoder.yudao.module.system.api.notice.dto;

import cn.iocoder.yudao.framework.common.enums.CommonStatusEnum;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * 通知公告表
 *
 * @author ruoyi
 */
@Data
public class NoticeDTO {
    /**
     * 公告状态
     * <p>
     * 枚举 {@link CommonStatusEnum}
     */
    private Integer status;

    private Date beginTime;

    private Date endTime;

}
