package cn.iocoder.yudao.module.system.api.workovertime.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Comparator;
import java.util.List;

@Data
public class WorkOvertimeDeductRuleApiVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "26316")
    private Long id;

    @Schema(description = "加班规则id", example = "7404")
    private Long ruleId;

    @Schema(description = "加班规则子表id", example = "7404")
    private Long ruleItemId;

    @Schema(description = "每天加班满n小时 临界值")
    private Integer threshold;

    @Schema(description = "扣除的数量")
    private Integer deductNum;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDateTime createTime;

}
