package cn.iocoder.yudao.module.system.service.holiday.holidayuseremploymentrecord;

import cn.iocoder.yudao.module.system.dal.dataobject.holidayuseremploymentrecord.HolidayUserEmploymentRecordDO;
import cn.iocoder.yudao.module.system.dal.mysql.holidayuseremploymentrecord.HolidayUserEmploymentRecordMapper;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

import javax.annotation.Resource;

/**
 * 用户按入职时间发放日期记录表(每年) Service 实现类
 *
 * @author 艾楷
 */
@Service
@Validated
public class HolidayUserEmploymentRecordServiceImpl implements HolidayUserEmploymentRecordService {

    @Resource
    private HolidayUserEmploymentRecordMapper holidayUserEmploymentRecordMapper;

    @Override
    public void deleteHolidayUserEmploymentRecord(Long id) {
        // 删除
        holidayUserEmploymentRecordMapper.deleteById(id);
    }

    @Override
    public HolidayUserEmploymentRecordDO getHolidayUserEmploymentRecord(Long id) {
        return holidayUserEmploymentRecordMapper.selectById(id);
    }

}
