package cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupuseramount.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ExcelIgnoreUnannotated
public class HandlingGroupUserAmountItemVO {
    @Schema(description = "用户id", example = "12639")
    @ExcelProperty("用户id")
    private Long userId;

    @Schema(description = "用户名称", example = "12639")
    @ExcelProperty("用户名称")
    private String userName;

    @Schema(description = "搬运组每日个人工资")
    @ExcelProperty("搬运组每日个人工资")
    private BigDecimal amount;

    @Schema(description = "状态 0未确认 1已确认")
    private Integer status;
}
