package cn.iocoder.yudao.module.smartfactory.controller.admin.industrialinjury.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 -  理赔明细")
@Data
public class ClaimAmountItem {

    @Schema(description = "理赔类型")
    private Integer payee;

    @Schema(description = "金额")
    private BigDecimal amount;

    @Schema(description = "理赔时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String time;

    @Schema(description = "备注")
    private String notes;
}
