package cn.iocoder.yudao.module.bpm.api.oa.vo.contract;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Schema(description = "BpmOA合同审批流程的VO对象")
@Data
public class BpmOAContractVO {

    /**
     * 合同类型
     * 1 销售合同
     */
    public static final Integer SALE_CONTRACT = 1;

    @Schema(description = "用户编号")
    private List<Long> userId;

    @Schema(description = "合同类型")
    private Integer contractType;

    @Schema(description = "开始时间")
    private Date starTime;

    @Schema(description = "结束时间")
    private Date endTime;
}
