package cn.iocoder.yudao.module.bpm.api.oa.vo.receipt;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 合同审批 请求Request VO")
@Data
public class ReceiptStatisticsDTO {

    @Schema(description = "用户编号")
    private Long userId;

    @Schema(description = "今日新增回款金额")
    private BigDecimal todayAddMoney;

    @Schema(description = "昨日新增回款金额")
    private BigDecimal yesterdayAddMoney;

    @Schema(description = "较昨日百分比 | 金额")
    private BigDecimal moneyPercentage;

    @Schema(description = "回款总金额")
    private BigDecimal money;
}
