package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.assetClaim;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 资产申领明细VO")
@Data
public class BpmOAAssetClaimItemSaveVO {

    @Schema(description = "资产申领编号")
    private Long assetClaimId;

    @Schema(description = "资产类型编号")
    @NotNull(message = "资产类型不能为空")
    private Long assetsTypeId;

    @Schema(description = "资产类型名称")
    private String assetsTypeName;

    @Schema(description = "业务类型")
    private Integer businessType;

    @Schema(description = "资产编号")
    private String assetsNo;

    @Schema(description = "资产名称")
    private String assetsName;

    @Schema(description = "数量")
    @NotNull(message = "数量不能为空")
    private Integer num;

    @Schema(description = "使用单位")
    private String util;
}
