package cn.iocoder.yudao.module.system.api.assets.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@Data
@Accessors(chain = true)
public class SupplierAssetAllocationDTO {
    /**
     * 资产名称
     */
    private String name;
    /**
     * 资产价格
     */
    private BigDecimal amount;
    /**
     * 资产类型id
     */
    private Long typeId;
    /**
     * 资产数量
     */
    private Integer num;
    /**
     * 入库部门id
     */
    private Long inDeptId;

}
