package cn.iocoder.yudao.module.system.controller.admin.fixed.dto;

import cn.iocoder.yudao.module.system.controller.admin.fixed.vo.AttendanceFixedSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.attendance.attendancespecial.AttendanceSpecialDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class AttendanceFixedDTO {
    @Schema(description = "考勤组id", example = "19908")
    private Long attendanceGroupId;
    @Schema(description = "固定班制考勤设置", example = "19908")
    private List<AttendanceFixedSaveReqVO> vos;
    @Schema(description = "考勤特殊日期设置", example = "19908")
    private List<AttendanceSpecialDO> specialDOS;
}
