package cn.iocoder.yudao.module.system.controller.admin.forklifttemporarytable;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.system.service.forklifttemporarytable.ForkliftTemporaryTableService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.annotation.security.PermitAll;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Tag(name = "管理后台 - 工厂叉车资产（excel 临时表）")
@RestController
@RequestMapping("/system/forklift-temporary-table")
@Validated
public class ForkliftTemporaryTableController {

    @Resource
    private ForkliftTemporaryTableService forkliftTemporaryTableService;

    @GetMapping("/test")
    @Operation(summary = "测试")
    @PermitAll
    public CommonResult<Boolean> test() {
        forkliftTemporaryTableService.test();
        return success(true);
    }

}
