package cn.iocoder.yudao.module.system.controller.admin.holiday.holidayworkingage.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 假期额度工龄配置新增/修改 Request VO")
@Data
public class HolidayWorkingAgeSaveReqVO {

    @Schema(description = "编号",  example = "9746")
    private Long id;

    @Schema(description = "假期设置id", example = "12675")
    private Long holidaySettingId;

    @Schema(description = "假期余额设置id", example = "153")
    private Long holidayBalanceSettingId;

    @Schema(description = "工龄 0表示小于1年 1表示大于等于1年 以此类推")
    private Integer years;

    @Schema(description = "年假天数")
    private Integer num;

}
