package cn.iocoder.yudao.module.system.controller.admin.hr.vo.type;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 工资配置 Response VO")
@Data
public class SalaryTypeItemRespVO {

    @Schema(description = "编号")
    private Long id;

    @Schema(description = "类型编号")
    private Long typeId;

    @Schema(description = "编码")
    private String code;

    @Schema(description = "名称")
    private String name;

    @Schema(description = "描述")
    private String itemDescribe;

    @Schema(description = "加减属性 | 1加 2减")
    private Integer attributes;

    @Schema(description = "状态 | 0开启 1关闭")
    private Integer status;
}
