package cn.iocoder.yudao.module.system.controller.admin.workovertime.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 加班扣除规则新增/修改 Request VO")
@Data
public class WorkOvertimeDeductRuleSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "26316")
    private Long id;

    @Schema(description = "加班规则id", example = "7404")
    private Long ruleId;

    @Schema(description = "加班规则子表id", example = "7404")
    private Long ruleItemId;

    @Schema(description = "每天加班满n小时 临界值")
    private Integer threshold;

    @Schema(description = "扣除的数量")
    private Integer deductNum;

}
