package cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupamountspecifications.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ToString(callSuper = true)
public class HandlingGroupAmountSpecificationsTotalNumDTO {
    @Schema(description = "工厂id")
    private Long factoryId;
    @Schema(description = "规格id")
    private Long handlingSpecificationsId;
    @Schema(description = "叉车司机名称")
    private String forkliftDriverName;
    @Schema(description = "搬运工名称")
    private String porterName;
    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;
    @Schema(description = "工厂ids")
    private List<Long> factoryIds;
}
