package cn.iocoder.yudao.module.smartfactory.controller.admin.handlingspecifications.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@Schema(description = "管理后台 - 工厂搬运规格分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class HandlingSpecificationsPageReqVO extends PageParam {

    @Schema(description = "工厂id", example = "9106")
    private Long factoryId;

    @Schema(description = "规格名称", example = "张三")
    private String specificationsName;

    @Schema(description = "类型 0数量 1重量 默认数量", example = "1")
    private Integer type;
}
